Package org.apache.sling.scripting.sightly.impl.html.dom.template

## Class TemplateNode

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.html.dom.template.TemplateNode

Direct Known Subclasses:
  `TemplateCommentNode`, `TemplateElementNode`, `TemplateTextNode`

    public abstract class TemplateNode
    extends Object

### Constructor Summary

Constructors
`TemplateNode()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemplateNode

    public TemplateNode()